//
//  KTarger_QXCClassSDK.h
//  QXCClassSDK
//
//  Created by 王博 on 2019/5/8.
//  Copyright © 2019 k. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface KTarget_QXCClassSDK : NSObject

-(UIViewController*)KAction_getQXCClassLiveVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getIpadQXCClassLiveVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaLiveClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaIpadLiveClassVC:(nullable NSDictionary*)paramsDict;

-(UIViewController*)KAction_getWhiteBoardVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getCameraVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getChatVC:(nullable NSDictionary*)paramsDict;

-(UIViewController*)KAction_getBigLiveClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaBigLiveClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getIpadBigLiveClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaIpadBigLiveClassVC:(nullable NSDictionary*)paramsDict;

-(UIViewController*)KAction_getSmallMergeClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaSmallMergeClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getIpadSmallMergeClassVC:(nullable NSDictionary*)paramsDict;
-(UIViewController*)KAction_getTeaIpadSmallMergeClassVC:(nullable NSDictionary*)paramsDict;

-(void)KAction_enterQXCLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterIpadQXCLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterTeaLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterTeaIpadLiveClass:(NSDictionary*)paramsDict;

-(void)KAction_enterBigLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterTeaBigLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterIpadBigLiveClass:(NSDictionary*)paramsDict;
-(void)KAction_enterIpadTeaBigLiveClass:(NSDictionary*)paramsDict;

-(void)KAction_enterSmallMergeClass:(NSDictionary*)paramsDict;
-(void)KAction_enterTeaSmallMergeClass:(NSDictionary*)paramsDict;
-(void)KAction_enterIpadSmallMergeClass:(NSDictionary*)paramsDict;
-(void)KAction_enterIpadTeaSmallMergeClass:(NSDictionary*)paramsDict;


-(void)KAction_closeLiveClassCompletion:(NSDictionary*)paramsDict;
-(void)KAction_clearQXCLiveClass:(nullable NSDictionary*)paramsDict;
-(void)KAction_setServerType:(NSDictionary*)paramsDict;
-(void)KAction_setIsSaaSVer:(NSDictionary*)paramsDict;
-(void)KAction_closeCurLiveIfNeed:(nullable NSDictionary*)paramsDict;


-(void)KAction_connectRoomServerByMultiScreen:(NSDictionary*)paramsDict;
-(void)KAction_setSourceTypeByMultiScreen:(NSDictionary*)paramsDict;
-(void)KAction_selectCaptureDevicePosition:(NSDictionary*)paramsDict;
-(void)KAction_closeMultiScreenAssistant:(nullable NSDictionary*)paramsDict;
-(void)KAction_clearMultiScreenAssistant:(nullable NSDictionary*)paramsDict;
-(void)KAction_setExitMultiScreenBlock:(NSDictionary*)paramsDict;
-(void)KAction_setEnterRoomServerSuccessBlock:(NSDictionary*)paramsDict;
@end

NS_ASSUME_NONNULL_END
