#
# Be sure to run `pod lib lint KLiveCalendarModule.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'QXCLiveSDK_RuiDa'
  s.version          = '2.9.12'
  s.summary          = 'QXCLiveSDK_RuiDa 小课堂.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
                          QXCLiveSDK_RuiDa 小课堂 by k
                       DESC

  s.homepage         = 'https://git.qianxuecloud.com/'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'K' => 'wb626749549@gmail.com' }
  s.source           = { :git => 'http://git.qianxuecloud.com/qianxue/qxclivesdk_ruida.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '8.0'
  # s.static_framework = true
  s.default_subspec = 'QXCClass'

  s.subspec 'Media' do |media|
    media.vendored_frameworks = 'Framework/QXCRTC.framework'
  end
  
  s.subspec 'Room' do |room|
      room.vendored_frameworks = 'Framework/QXCClassSDK.framework'
  end

  s.subspec 'QXCClass' do |qxcClass|
      qxcClass.dependency 'QXCLiveSDK_RuiDa/Media'
      qxcClass.dependency 'QXCLiveSDK_RuiDa/Room'

  end
end
